Name:          python-psutil
Version:       5.6.0
Release:       1mamba
Summary:       A cross-platform process and system utilities module for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://code.google.com/p/psutil/
Source:        https://pypi.debian.net/psutil/psutil-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: gcc
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
psutil is a module providing an interface for retrieving information on all running processes and system utilization (CPU, memory, disks, network, users) in a portable way by using Python, implementing many functionalities offered by command line tools such as:
 - ps
 - top
 - df
 - kill
 - free
 - lsof
 - netstat
 - ifconfig
 - nice
 - ionice
 - iostat
 - iotop
 - uptime
 - pidof
 - tty
 - who
 - taskset
 - pmap
It currently supports Linux, Windows, OSX and FreeBSD, both 32-bit and 64-bit, with Python versions from 2.4 to 3.3 by using a single code base.
Pypy is also known to work.

%prep
%setup -q -n psutil-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist
 # --single-version-externally-managed

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%doc CREDITS LICENSE

%changelog
* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Tue Jan 29 2019 Automatic Build System <autodist@mambasoft.it> 5.5.0-1mamba
- automatic version update by autodist

* Mon Nov 19 2018 Automatic Build System <autodist@mambasoft.it> 5.4.8-1mamba
- automatic version update by autodist

* Sun Sep 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.7-1mamba
- update to 5.4.7

* Wed Dec 14 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-1mamba
- update to 5.0.0

* Fri Oct 28 2016 Automatic Build System <autodist@mambasoft.it> 4.4.2-1mamba
- automatic version update by autodist

* Sun Sep 18 2016 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic update by autodist

* Sat Jul 16 2016 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Sun Jun 05 2016 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Sat Dec 19 2015 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Tue Oct 13 2015 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Wed Sep 09 2015 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Tue Aug 04 2015 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Wed Jun 24 2015 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Fri Feb 13 2015 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Tue Jan 13 2015 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic update by autodist

* Sun Oct 05 2014 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Wed May 07 2014 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sat Apr 12 2014 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Tue Mar 11 2014 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Dec 07 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Sun Nov 10 2013 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Sat Oct 12 2013 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Sun Jul 14 2013 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Sat Jun 08 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.7.1-1mamba
- package created by davide using the webbuild interface
